<?php 
ini_set("display_errors","1");
ini_set("display_startup_errors","1");
session_cache_limiter("none");
set_magic_quotes_runtime(0);

include("include/dbcommon.php");
include("include/pf_proceso_variables.php");



if (@$_REQUEST["a"]=="") 
{
	$strSQL=$_SESSION[$strTableName."_sql"];
	$options = "1";
}
else
{
	$options = "";
	
$sWhere = "1=0";	
foreach(@$_POST["mdelete"] as $ind)
{
	$sWhere = $sWhere . " or ";
		$sWhere = $sWhere . GetFullFieldName("id_proceso","") . "=" . make_db_value("id_proceso", $_POST["mdelete1"][$ind-1],"","");
        
}
$strSQL = AddWhere($gstrSQL,$sWhere);
$_SESSION[$strTableName."_SelectedSQL"] = $strSQL;
}

if ($_SESSION[$strTableName."_SelectedSQL"]!="" && @$_REQUEST["records"]=="") $strSQL = $_SESSION[$strTableName."_SelectedSQL"] ;
 

$mypage=1;
if(@$_REQUEST["type"]) 
{
	$conn=db_connect();
	LogInfo($strSQL);
//	pagination
	$nPageSize=0;
	$numrows=GetRowCount($strSQL);
	if(@$_REQUEST["records"]=="page" && $numrows)
	{
		$mypage=(integer)@$_SESSION[$strTableName."_pagenumber"];
		$nPageSize=(integer)@$_SESSION[$strTableName."_pagesize"];
		if($numrows<=($mypage-1)*$nPageSize)
			$mypage=ceil($numrows/$nPageSize);
		if(!$nPageSize)
			$nPageSize=$gPageSize;
		if(!$mypage)
			$mypage=1;

		$strSQL = AddTop($strSQL, $mypage*$nPageSize);
	}
	$rs=db_query($strSQL,$conn);
	db_pageseek($rs,$nPageSize,$mypage);

	if(!ini_get("safe_mode"))
		set_time_limit(300);
	
	if(@$_REQUEST["type"]=="excel")
		ExportToExcel();
	else if(@$_REQUEST["type"]=="word")
		ExportToWord();
	else if(@$_REQUEST["type"]=="xml")
		ExportToXML();
	else if(@$_REQUEST["type"]=="csv")
		ExportToCSV();
	else if(@$_REQUEST["type"]=="pdf")
		ExportToPDF();

	db_close($conn);
	return;
}

header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 

include('libs/Smarty.class.php');
$smarty = new Smarty();
$smarty->assign("options",$options);
$smarty->display("pf_proceso_export.htm");


function ExportToExcel()
{
	global $cCharset;
	header("Content-type: application/vnd.ms-excel");
	header("Content-Disposition: attachment;Filename=pf_proceso.xls");

	echo "<html>";
	echo "<html xmlns:o=\"urn:schemas-microsoft-com:office:office\" xmlns:x=\"urn:schemas-microsoft-com:office:excel\" xmlns=\"http://www.w3.org/TR/REC-html40\">";
	
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$cCharset."\">";
	echo "<body>";
	echo "<table border=1>";

	WriteTableData();

	echo "</table>";
	echo "</body>";
	echo "</html>";
}

function ExportToWord()
{
	global $cCharset;
	header("Content-type: application/vnd.ms-word");
	header("Content-Disposition: attachment;Filename=pf_proceso.doc");

	echo "<html>";
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$cCharset."\">";
	echo "<body>";
	echo "<table border=1>";

	WriteTableData();

	echo "</table>";
	echo "</body>";
	echo "</html>";
}

function ExportToXML()
{
	global $nPageSize,$rs,$strTableName,$conn;
	header("Content-type: text/xml");
	header("Content-Disposition: attachment;Filename=pf_proceso.xml");
	if(!db_numrows($rs))
		return;
	echo "<?xml version=\"1.0\" standalone=\"yes\"?>\r\n";
	echo "<table>\r\n";
	$i=0;
	while((!$nPageSize || $i<$nPageSize) && $row=db_fetch_array($rs))
	{
		echo "<row>\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha de Inicio"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_inicio",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Identificador Proceso"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"id_proceso",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Identificador Camara"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"id_camara",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha de Fin"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_fin",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha del Ultimo Cambio"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_ultcam",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Estado"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"estado",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Frecuencia"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"frecuencia",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Creador Inicial"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"creador_inicial",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Inicio Giro 1"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_inicio_giro1",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Fin Giro 1"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_fin_giro1",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Inicio Giro 2"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_inicio_giro2",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Fin Giro 1"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_fin_giro2",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Inicio Giro 3"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_inicio_giro3",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Fecha Fin Giro 1"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"fecha_fin_giro3",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Pallets"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"Pallets",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Puchos"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"Puchos",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("bins"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"bins",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("origen"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"origen",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("destino"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"destino",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Identificador Especie"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"id_especie",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Identificador Envase"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"id_envase",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Condicion Inicial"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"condicion_inicial",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Numero de Giros"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"num_giros",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Creador Final"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"creador_final",""));
		echo "</".$field.">\r\n";
		$field=htmlspecialchars(XMLNameEncode("Condicion Final"));
		echo "<".$field.">";
		echo htmlspecialchars(GetData($row,"condicion_final",""));
		echo "</".$field.">\r\n";
		echo "</row>\r\n";
		$i++;
	}
	echo "</table>\r\n";
}

function ExportToCSV()
{
	global $rs,$nPageSize,$strTableName,$conn;
	header("Content-type: application/csv");
	header("Content-Disposition: attachment;Filename=pf_proceso.csv");

	if(!db_numrows($rs))
		return;

	$totals=array();

	
// write header
	$outstr="";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha de Inicio\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Identificador Proceso\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Identificador Camara\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha de Fin\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha del Ultimo Cambio\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Estado\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Frecuencia\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Creador Inicial\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Inicio Giro 1\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Fin Giro 1\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Inicio Giro 2\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Fin Giro 1\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Inicio Giro 3\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Fecha Fin Giro 1\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Pallets\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Puchos\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"bins\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"origen\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"destino\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Identificador Especie\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Identificador Envase\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Condicion Inicial\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Numero de Giros\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Creador Final\"";
	if($outstr!="")
		$outstr.=",";
	$outstr.= "\"Condicion Final\"";
	echo $outstr;
	echo "\r\n";

// write data rows
	$iNumberOfRows = 0;
	while((!$nPageSize || $iNumberOfRows<$nPageSize) && $row=db_fetch_array($rs))
	{
		$outstr="";
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_inicio",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"id_proceso",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"id_camara",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_fin",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_ultcam",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"estado",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"frecuencia",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"creador_inicial",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_inicio_giro1",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_fin_giro1",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_inicio_giro2",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_fin_giro2",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_inicio_giro3",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"fecha_fin_giro3",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"Pallets",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"Puchos",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"bins",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"origen",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"destino",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"id_especie",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"id_envase",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"condicion_inicial",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"num_giros",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"creador_final",$format)).'"';
		if($outstr!="")
			$outstr.=",";
			$format="";
		$outstr.='"'.htmlspecialchars(GetData($row,"condicion_final",$format)).'"';
		echo $outstr;
		echo "\r\n";
		$iNumberOfRows++;
	}

//	display totals
	$first=true;

}


function WriteTableData()
{
	global $rs,$nPageSize,$strTableName,$conn;
	if(!db_numrows($rs))
		return;
// write header
	echo "<tr>";
	if($_REQUEST["type"]=="excel")
	{
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha de Inicio").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Identificador Proceso").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Identificador Camara").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha de Fin").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha del Ultimo Cambio").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Estado").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Frecuencia").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Creador Inicial").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Inicio Giro 1").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Fin Giro 1").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Inicio Giro 2").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Fin Giro 1").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Inicio Giro 3").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Fecha Fin Giro 1").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Pallets").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Puchos").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("bins").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("origen").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("destino").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Identificador Especie").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Identificador Envase").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Condicion Inicial").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Numero de Giros").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Creador Final").'</td>';
		echo '<td style="width: 100" x:str>'.PrepareForExcel("Condicion Final").'</td>';
	}
	else
	{
		echo "<td>Fecha de Inicio</td>";
		echo "<td>Identificador Proceso</td>";
		echo "<td>Identificador Camara</td>";
		echo "<td>Fecha de Fin</td>";
		echo "<td>Fecha del Ultimo Cambio</td>";
		echo "<td>Estado</td>";
		echo "<td>Frecuencia</td>";
		echo "<td>Creador Inicial</td>";
		echo "<td>Fecha Inicio Giro 1</td>";
		echo "<td>Fecha Fin Giro 1</td>";
		echo "<td>Fecha Inicio Giro 2</td>";
		echo "<td>Fecha Fin Giro 1</td>";
		echo "<td>Fecha Inicio Giro 3</td>";
		echo "<td>Fecha Fin Giro 1</td>";
		echo "<td>Pallets</td>";
		echo "<td>Puchos</td>";
		echo "<td>bins</td>";
		echo "<td>origen</td>";
		echo "<td>destino</td>";
		echo "<td>Identificador Especie</td>";
		echo "<td>Identificador Envase</td>";
		echo "<td>Condicion Inicial</td>";
		echo "<td>Numero de Giros</td>";
		echo "<td>Creador Final</td>";
		echo "<td>Condicion Final</td>";
	}
	echo "</tr>";

	$totals=array();
// write data rows
	$iNumberOfRows = 0;
	while((!$nPageSize || $iNumberOfRows<$nPageSize) && $row=db_fetch_array($rs))
	{
		echo "<tr>";
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_inicio",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"id_proceso",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"id_camara",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_fin",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_ultcam",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"estado",$format));
		else
			echo htmlspecialchars(GetData($row,"estado",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"frecuencia",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"creador_inicial",$format));
		else
			echo htmlspecialchars(GetData($row,"creador_inicial",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_inicio_giro1",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_fin_giro1",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_inicio_giro2",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_fin_giro2",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_inicio_giro3",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"fecha_fin_giro3",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"Pallets",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"Puchos",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"bins",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"origen",$format));
		else
			echo htmlspecialchars(GetData($row,"origen",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"destino",$format));
		else
			echo htmlspecialchars(GetData($row,"destino",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"id_especie",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"id_envase",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"condicion_inicial",$format));
		else
			echo htmlspecialchars(GetData($row,"condicion_inicial",$format));
	echo '</td>';
	echo '<td>';

		$format="";
			echo htmlspecialchars(GetData($row,"num_giros",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"creador_final",$format));
		else
			echo htmlspecialchars(GetData($row,"creador_final",$format));
	echo '</td>';
	if($_REQUEST["type"]=="excel")
		echo '<td x:str>';
	else
		echo '<td>';

		$format="";
			if($_REQUEST["type"]=="excel")
			echo PrepareForExcel(GetData($row,"condicion_final",$format));
		else
			echo htmlspecialchars(GetData($row,"condicion_final",$format));
	echo '</td>';
		echo "</tr>";
		$iNumberOfRows++;
	}

}

function XMLNameEncode($strValue)
{	
	$search=array(" ","#","'","/","\\","(",")",",","[","]","+","\"","-","_","|","}","{","=");
	return str_replace($search,"",$strValue);
}

function PrepareForExcel($str)
{
	$ret = htmlspecialchars($str);
	if (substr($ret,0,1)== "=") 
		$ret = "&#61;".substr($ret,1);
	return $ret;

}




function ExportToPDF()
{
	global $nPageSize,$rs,$strTableName,$conn;
		global $colwidth,$leftmargin;
	if(!db_numrows($rs))
		return;


	include("libs/fpdf.php");

	class PDF extends FPDF
	{
	//Current column
		var $col=0;
	//Ordinate of column start
		var $y0;
		var $maxheight;

	function AcceptPageBreak()
	{
		global $colwidth,$leftmargin;
		if($this->y0+$this->rowheight>$this->PageBreakTrigger)
			return true;
		$x=$leftmargin;
		if($this->maxheight<$this->PageBreakTrigger-$this->y0)
			$this->maxheight=$this->PageBreakTrigger-$this->y0;
		$this->Rect($x,$this->y0,$colwidth["fecha_inicio"],$this->maxheight);
		$x+=$colwidth["fecha_inicio"];
		$this->Rect($x,$this->y0,$colwidth["id_proceso"],$this->maxheight);
		$x+=$colwidth["id_proceso"];
		$this->Rect($x,$this->y0,$colwidth["id_camara"],$this->maxheight);
		$x+=$colwidth["id_camara"];
		$this->Rect($x,$this->y0,$colwidth["fecha_fin"],$this->maxheight);
		$x+=$colwidth["fecha_fin"];
		$this->Rect($x,$this->y0,$colwidth["fecha_ultcam"],$this->maxheight);
		$x+=$colwidth["fecha_ultcam"];
		$this->Rect($x,$this->y0,$colwidth["estado"],$this->maxheight);
		$x+=$colwidth["estado"];
		$this->Rect($x,$this->y0,$colwidth["frecuencia"],$this->maxheight);
		$x+=$colwidth["frecuencia"];
		$this->Rect($x,$this->y0,$colwidth["creador_inicial"],$this->maxheight);
		$x+=$colwidth["creador_inicial"];
		$this->Rect($x,$this->y0,$colwidth["fecha_inicio_giro1"],$this->maxheight);
		$x+=$colwidth["fecha_inicio_giro1"];
		$this->Rect($x,$this->y0,$colwidth["fecha_fin_giro1"],$this->maxheight);
		$x+=$colwidth["fecha_fin_giro1"];
		$this->Rect($x,$this->y0,$colwidth["fecha_inicio_giro2"],$this->maxheight);
		$x+=$colwidth["fecha_inicio_giro2"];
		$this->Rect($x,$this->y0,$colwidth["fecha_fin_giro2"],$this->maxheight);
		$x+=$colwidth["fecha_fin_giro2"];
		$this->Rect($x,$this->y0,$colwidth["fecha_inicio_giro3"],$this->maxheight);
		$x+=$colwidth["fecha_inicio_giro3"];
		$this->Rect($x,$this->y0,$colwidth["fecha_fin_giro3"],$this->maxheight);
		$x+=$colwidth["fecha_fin_giro3"];
		$this->Rect($x,$this->y0,$colwidth["Pallets"],$this->maxheight);
		$x+=$colwidth["Pallets"];
		$this->Rect($x,$this->y0,$colwidth["Puchos"],$this->maxheight);
		$x+=$colwidth["Puchos"];
		$this->Rect($x,$this->y0,$colwidth["bins"],$this->maxheight);
		$x+=$colwidth["bins"];
		$this->Rect($x,$this->y0,$colwidth["origen"],$this->maxheight);
		$x+=$colwidth["origen"];
		$this->Rect($x,$this->y0,$colwidth["destino"],$this->maxheight);
		$x+=$colwidth["destino"];
		$this->Rect($x,$this->y0,$colwidth["id_especie"],$this->maxheight);
		$x+=$colwidth["id_especie"];
		$this->Rect($x,$this->y0,$colwidth["id_envase"],$this->maxheight);
		$x+=$colwidth["id_envase"];
		$this->Rect($x,$this->y0,$colwidth["condicion_inicial"],$this->maxheight);
		$x+=$colwidth["condicion_inicial"];
		$this->Rect($x,$this->y0,$colwidth["num_giros"],$this->maxheight);
		$x+=$colwidth["num_giros"];
		$this->Rect($x,$this->y0,$colwidth["creador_final"],$this->maxheight);
		$x+=$colwidth["creador_final"];
		$this->Rect($x,$this->y0,$colwidth["condicion_final"],$this->maxheight);
		$x+=$colwidth["condicion_final"];
		$this->maxheight = $this->rowheight;
//	draw frame	
		return true;
	}

	function Header()
	{
		global $colwidth,$leftmargin;
	    //Page header
		$this->SetFillColor(192);
		$this->SetX($leftmargin);
		$this->Cell($colwidth["fecha_inicio"],$this->rowheight,"Fecha de Inicio",1,0,'C',1);
		$this->Cell($colwidth["id_proceso"],$this->rowheight,"Identificador Proceso",1,0,'C',1);
		$this->Cell($colwidth["id_camara"],$this->rowheight,"Identificador Camara",1,0,'C',1);
		$this->Cell($colwidth["fecha_fin"],$this->rowheight,"Fecha de Fin",1,0,'C',1);
		$this->Cell($colwidth["fecha_ultcam"],$this->rowheight,"Fecha del Ultimo Cambio",1,0,'C',1);
		$this->Cell($colwidth["estado"],$this->rowheight,"Estado",1,0,'C',1);
		$this->Cell($colwidth["frecuencia"],$this->rowheight,"Frecuencia",1,0,'C',1);
		$this->Cell($colwidth["creador_inicial"],$this->rowheight,"Creador Inicial",1,0,'C',1);
		$this->Cell($colwidth["fecha_inicio_giro1"],$this->rowheight,"Fecha Inicio Giro 1",1,0,'C',1);
		$this->Cell($colwidth["fecha_fin_giro1"],$this->rowheight,"Fecha Fin Giro 1",1,0,'C',1);
		$this->Cell($colwidth["fecha_inicio_giro2"],$this->rowheight,"Fecha Inicio Giro 2",1,0,'C',1);
		$this->Cell($colwidth["fecha_fin_giro2"],$this->rowheight,"Fecha Fin Giro 1",1,0,'C',1);
		$this->Cell($colwidth["fecha_inicio_giro3"],$this->rowheight,"Fecha Inicio Giro 3",1,0,'C',1);
		$this->Cell($colwidth["fecha_fin_giro3"],$this->rowheight,"Fecha Fin Giro 1",1,0,'C',1);
		$this->Cell($colwidth["Pallets"],$this->rowheight,"Pallets",1,0,'C',1);
		$this->Cell($colwidth["Puchos"],$this->rowheight,"Puchos",1,0,'C',1);
		$this->Cell($colwidth["bins"],$this->rowheight,"bins",1,0,'C',1);
		$this->Cell($colwidth["origen"],$this->rowheight,"origen",1,0,'C',1);
		$this->Cell($colwidth["destino"],$this->rowheight,"destino",1,0,'C',1);
		$this->Cell($colwidth["id_especie"],$this->rowheight,"Identificador Especie",1,0,'C',1);
		$this->Cell($colwidth["id_envase"],$this->rowheight,"Identificador Envase",1,0,'C',1);
		$this->Cell($colwidth["condicion_inicial"],$this->rowheight,"Condicion Inicial",1,0,'C',1);
		$this->Cell($colwidth["num_giros"],$this->rowheight,"Numero de Giros",1,0,'C',1);
		$this->Cell($colwidth["creador_final"],$this->rowheight,"Creador Final",1,0,'C',1);
		$this->Cell($colwidth["condicion_final"],$this->rowheight,"Condicion Final",1,0,'C',1);
		$this->Ln($this->rowheight);
		$this->y0=$this->GetY();
	}

	}

	$pdf=new PDF();

	$leftmargin=5;
	$pagewidth=200;
	$pageheight=290;
	$rowheight=5;


	$defwidth=$pagewidth/25;
	$colwidth=array();
    $colwidth["fecha_inicio"]=$defwidth;
    $colwidth["id_proceso"]=$defwidth;
    $colwidth["id_camara"]=$defwidth;
    $colwidth["fecha_fin"]=$defwidth;
    $colwidth["fecha_ultcam"]=$defwidth;
    $colwidth["estado"]=$defwidth;
    $colwidth["frecuencia"]=$defwidth;
    $colwidth["creador_inicial"]=$defwidth;
    $colwidth["fecha_inicio_giro1"]=$defwidth;
    $colwidth["fecha_fin_giro1"]=$defwidth;
    $colwidth["fecha_inicio_giro2"]=$defwidth;
    $colwidth["fecha_fin_giro2"]=$defwidth;
    $colwidth["fecha_inicio_giro3"]=$defwidth;
    $colwidth["fecha_fin_giro3"]=$defwidth;
    $colwidth["Pallets"]=$defwidth;
    $colwidth["Puchos"]=$defwidth;
    $colwidth["bins"]=$defwidth;
    $colwidth["origen"]=$defwidth;
    $colwidth["destino"]=$defwidth;
    $colwidth["id_especie"]=$defwidth;
    $colwidth["id_envase"]=$defwidth;
    $colwidth["condicion_inicial"]=$defwidth;
    $colwidth["num_giros"]=$defwidth;
    $colwidth["creador_final"]=$defwidth;
    $colwidth["condicion_final"]=$defwidth;
	
	$pdf->AddFont('CourierNewPSMT','','courcp1252.php');
	$pdf->rowheight=$rowheight;
	
	$pdf->SetFont('CourierNewPSMT','',8);
	$pdf->AddPage();
	

	$i=0;
	while((!$nPageSize || $i<$nPageSize) && $row=db_fetch_array($rs))
	{
		$pdf->maxheight=$rowheight;
		$x=$leftmargin;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_inicio"],$rowheight,GetData($row,"fecha_inicio",""));
		$x+=$colwidth["fecha_inicio"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["id_proceso"],$rowheight,GetData($row,"id_proceso",""));
		$x+=$colwidth["id_proceso"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["id_camara"],$rowheight,GetData($row,"id_camara",""));
		$x+=$colwidth["id_camara"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_fin"],$rowheight,GetData($row,"fecha_fin",""));
		$x+=$colwidth["fecha_fin"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_ultcam"],$rowheight,GetData($row,"fecha_ultcam",""));
		$x+=$colwidth["fecha_ultcam"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["estado"],$rowheight,GetData($row,"estado",""));
		$x+=$colwidth["estado"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["frecuencia"],$rowheight,GetData($row,"frecuencia",""));
		$x+=$colwidth["frecuencia"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["creador_inicial"],$rowheight,GetData($row,"creador_inicial",""));
		$x+=$colwidth["creador_inicial"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_inicio_giro1"],$rowheight,GetData($row,"fecha_inicio_giro1",""));
		$x+=$colwidth["fecha_inicio_giro1"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_fin_giro1"],$rowheight,GetData($row,"fecha_fin_giro1",""));
		$x+=$colwidth["fecha_fin_giro1"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_inicio_giro2"],$rowheight,GetData($row,"fecha_inicio_giro2",""));
		$x+=$colwidth["fecha_inicio_giro2"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_fin_giro2"],$rowheight,GetData($row,"fecha_fin_giro2",""));
		$x+=$colwidth["fecha_fin_giro2"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_inicio_giro3"],$rowheight,GetData($row,"fecha_inicio_giro3",""));
		$x+=$colwidth["fecha_inicio_giro3"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["fecha_fin_giro3"],$rowheight,GetData($row,"fecha_fin_giro3",""));
		$x+=$colwidth["fecha_fin_giro3"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["Pallets"],$rowheight,GetData($row,"Pallets",""));
		$x+=$colwidth["Pallets"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["Puchos"],$rowheight,GetData($row,"Puchos",""));
		$x+=$colwidth["Puchos"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["bins"],$rowheight,GetData($row,"bins",""));
		$x+=$colwidth["bins"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["origen"],$rowheight,GetData($row,"origen",""));
		$x+=$colwidth["origen"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["destino"],$rowheight,GetData($row,"destino",""));
		$x+=$colwidth["destino"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["id_especie"],$rowheight,GetData($row,"id_especie",""));
		$x+=$colwidth["id_especie"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["id_envase"],$rowheight,GetData($row,"id_envase",""));
		$x+=$colwidth["id_envase"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["condicion_inicial"],$rowheight,GetData($row,"condicion_inicial",""));
		$x+=$colwidth["condicion_inicial"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["num_giros"],$rowheight,GetData($row,"num_giros",""));
		$x+=$colwidth["num_giros"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["creador_final"],$rowheight,GetData($row,"creador_final",""));
		$x+=$colwidth["creador_final"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
		$pdf->SetY($pdf->y0);
		$pdf->SetX($x);
		$pdf->MultiCell($colwidth["condicion_final"],$rowheight,GetData($row,"condicion_final",""));
		$x+=$colwidth["condicion_final"];
		if($pdf->GetY()-$pdf->y0>$pdf->maxheight)
			$pdf->maxheight=$pdf->GetY()-$pdf->y0;
//	draw fames
		$x=$leftmargin;
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_inicio"],$pdf->maxheight);
		$x+=$colwidth["fecha_inicio"];
		$pdf->Rect($x,$pdf->y0,$colwidth["id_proceso"],$pdf->maxheight);
		$x+=$colwidth["id_proceso"];
		$pdf->Rect($x,$pdf->y0,$colwidth["id_camara"],$pdf->maxheight);
		$x+=$colwidth["id_camara"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_fin"],$pdf->maxheight);
		$x+=$colwidth["fecha_fin"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_ultcam"],$pdf->maxheight);
		$x+=$colwidth["fecha_ultcam"];
		$pdf->Rect($x,$pdf->y0,$colwidth["estado"],$pdf->maxheight);
		$x+=$colwidth["estado"];
		$pdf->Rect($x,$pdf->y0,$colwidth["frecuencia"],$pdf->maxheight);
		$x+=$colwidth["frecuencia"];
		$pdf->Rect($x,$pdf->y0,$colwidth["creador_inicial"],$pdf->maxheight);
		$x+=$colwidth["creador_inicial"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_inicio_giro1"],$pdf->maxheight);
		$x+=$colwidth["fecha_inicio_giro1"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_fin_giro1"],$pdf->maxheight);
		$x+=$colwidth["fecha_fin_giro1"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_inicio_giro2"],$pdf->maxheight);
		$x+=$colwidth["fecha_inicio_giro2"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_fin_giro2"],$pdf->maxheight);
		$x+=$colwidth["fecha_fin_giro2"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_inicio_giro3"],$pdf->maxheight);
		$x+=$colwidth["fecha_inicio_giro3"];
		$pdf->Rect($x,$pdf->y0,$colwidth["fecha_fin_giro3"],$pdf->maxheight);
		$x+=$colwidth["fecha_fin_giro3"];
		$pdf->Rect($x,$pdf->y0,$colwidth["Pallets"],$pdf->maxheight);
		$x+=$colwidth["Pallets"];
		$pdf->Rect($x,$pdf->y0,$colwidth["Puchos"],$pdf->maxheight);
		$x+=$colwidth["Puchos"];
		$pdf->Rect($x,$pdf->y0,$colwidth["bins"],$pdf->maxheight);
		$x+=$colwidth["bins"];
		$pdf->Rect($x,$pdf->y0,$colwidth["origen"],$pdf->maxheight);
		$x+=$colwidth["origen"];
		$pdf->Rect($x,$pdf->y0,$colwidth["destino"],$pdf->maxheight);
		$x+=$colwidth["destino"];
		$pdf->Rect($x,$pdf->y0,$colwidth["id_especie"],$pdf->maxheight);
		$x+=$colwidth["id_especie"];
		$pdf->Rect($x,$pdf->y0,$colwidth["id_envase"],$pdf->maxheight);
		$x+=$colwidth["id_envase"];
		$pdf->Rect($x,$pdf->y0,$colwidth["condicion_inicial"],$pdf->maxheight);
		$x+=$colwidth["condicion_inicial"];
		$pdf->Rect($x,$pdf->y0,$colwidth["num_giros"],$pdf->maxheight);
		$x+=$colwidth["num_giros"];
		$pdf->Rect($x,$pdf->y0,$colwidth["creador_final"],$pdf->maxheight);
		$x+=$colwidth["creador_final"];
		$pdf->Rect($x,$pdf->y0,$colwidth["condicion_final"],$pdf->maxheight);
		$x+=$colwidth["condicion_final"];
		$pdf->y0+=$pdf->maxheight;
		$i++;
	}
	$pdf->Output();
}

?>